## apt 2.0.6+10.0trisquel3

=== CMakeLists.txt ===
# Copyright (C) 2009, 2016 Julian Andres Klode <jak@debian.org>.
# Licensed under the same terms as APT; i.e. GPL 2 or later.

# set minimum version
project(apt)
cmake_minimum_required(VERSION 3.4.0)
# Generic header locations
include_directories(${PROJECT_BINARY_DIR}/include)


enable_testing()

option(WITH_DOC "Build documentation." ON)
option(WITH_TESTS "Build tests" ON)
option(USE_NLS "Localisation support." ON)

set(CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/CMake")

# Add coverage target
set(CMAKE_CXX_FLAGS_COVERAGE "-g -fprofile-arcs -ftest-coverage")
set(CMAKE_EXE_LINKER_FLAGS_COVERAGE "-lgcov")
set(CMAKE_SHARED_LINKER_FLAGS_COVERAGE "-lgcov")

# Work around bug in GNUInstallDirs
if (EXISTS "/etc/debian_version")
  set(CMAKE_INSTALL_LIBEXECDIR "lib")
endif()

# Include stuff
include(Misc)
include(CheckIncludeFiles)
include(CheckFunctionExists)
include(CheckStructHasMember)
include(GNUInstallDirs)
include(TestBigEndian)
find_package(Threads REQUIRED)
find_package(LFS REQUIRED)
find_package(Iconv REQUIRED)

find_package(Perl REQUIRED)

find_program(TRIEHASH_EXECUTABLE NAMES triehash)

if (NOT TRIEHASH_EXECUTABLE)
  message(FATAL_ERROR "Could not find triehash executable")
endif()

if(USE_NLS)
  find_package(Intl REQUIRED)
  link_libraries(${Intl_LIBRARIES})
  include_directories(${Intl_INCLUDE_DIRS})
endif()

# Add large file support
add_compile_options(${LFS_COMPILE_OPTIONS})
add_definitions(${LFS_DEFINITIONS})
link_libraries(${LFS_LIBRARIES})

# Set compiler flags
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_VISIBILITY_INLINES_HIDDEN 1)

add_optional_compile_options(Wall)
add_optional_compile_options(Wextra)
add_optional_compile_options(Wcast-align)
add_optional_compile_options(Wlogical-op)
add_optional_compile_options(Wredundant-decls)
add_optional_compile_options(Wmissing-declarations)
add_optional_compile_options(Wunsafe-loop-optimizations)
add_optional_compile_options(Wctor-dtor-privacy)
add_optional_compile_options(Wdisabled-optimization)
add_optional_compile_options(Winit-self)
add_optional_compile_options(Wmissing-include-dirs)
add_optional_compile_options(Wnoexcept)
add_optional_compile_options(Wsign-promo)
add_optional_compile_options(Wundef)
add_optional_compile_options(Wdouble-promotion)
add_optional_compile_options(Wsuggest-override)
add_optional_compile_options(Werror=suggest-override)
add_optional_compile_options(Werror=return-type)
# apt-ftparchive dependencies
find_package(BerkeleyDB REQUIRED)
if (BERKELEY_DB_FOUND)
  set(HAVE_BDB 1)
endif()

find_package(GnuTLS REQUIRED)
if (GNUTLS_FOUND)
  set(HAVE_GNUTLS 1)
endif()

# (De)Compressor libraries
find_package(ZLIB REQUIRED)
if (ZLIB_FOUND)
  set(HAVE_ZLIB 1)
endif()


find_package(BZip2 REQUIRED)
if (BZIP2_FOUND)
  set(HAVE_BZ2 1)
endif()

find_package(LZMA REQUIRED)
if (LZMA_FOUND)
  set(HAVE_LZMA 1)
endif()


find_package(LZ4 REQUIRED)
if (LZ4_FOUND)
  set(HAVE_LZ4 1)
endif()

find_package(Zstd)
if (ZSTD_FOUND)
  set(HAVE_ZSTD 1)
endif()


find_package(Udev)
if (UDEV_FOUND)
  set(HAVE_UDEV 1)
endif()

find_package(Systemd)
if (SYSTEMD_FOUND)
  set(HAVE_SYSTEMD 1)
endif()

find_package(Seccomp)
if (SECCOMP_FOUND)
  set(HAVE_SECCOMP 1)
endif()

find_package(Gcrypt REQUIRED)

# Mount()ing and stat()ing and friends
check_symbol_exists(statfs sys/vfs.h HAVE_VFS_H)
check_include_files(sys/params.h HAVE_PARAMS_H)
check_symbol_exists(statfs sys/mount.h HAVE_MOUNT_H)
if (NOT HAVE_VFS_H AND NOT HAVE_MOUNT_H)
  message(FATAL_ERROR "Can find neither statvfs() nor statfs()")
endif()

check_function_exists(statvfs HAVE_STATVFS)
if (NOT HAVE_STATVFS)
  configure_file(CMake/statvfs.h.in ${PROJECT_BINARY_DIR}/include/sys/statvfs.h COPYONLY)
endif()

CHECK_STRUCT_HAS_MEMBER("struct statfs" f_type sys/vfs.h HAVE_STRUCT_STATFS_F_TYPE)

# Other checks
check_function_exists(getresuid HAVE_GETRESUID)
check_function_exists(getresgid HAVE_GETRESGID)
check_function_exists(setresuid HAVE_SETRESUID)
check_function_exists(setresgid HAVE_SETRESGID)
check_function_exists(ptsname_r HAVE_PTSNAME_R)
check_function_exists(timegm HAVE_TIMEGM)
test_big_endian(WORDS_BIGENDIAN)

# FreeBSD
add_definitions(-D_WITH_GETLINE=1)

CHECK_INCLUDE_FILES(machine/endian.h HAVE_MACHINE_ENDIAN_H)
CHECK_INCLUDE_FILES(sys/endian.h HAVE_SYS_ENDIAN_H)
CHECK_INCLUDE_FILES(endian.h HAVE_ENDIAN_H)
if (NOT HAVE_ENDIAN_H)
  if (HAVE_MACHINE_ENDIAN_H OR HAVE_SYS_ENDIAN_H)
    configure_file(CMake/endian.h.in ${PROJECT_BINARY_DIR}/include/endian.h)
  else()
    message(FATAL_ERROR "Cannot find endian.h")
  endif()
endif()


include(CheckTypeSize)
set(CMAKE_EXTRA_INCLUDE_FILES "signal.h")
check_type_size("sig_t" SIG_T LANGUAGE "CXX")
check_type_size("sighandler_t" SIGHANDLER_T LANGUAGE "CXX")
set(CMAKE_EXTRA_INCLUDE_FILES)
if (NOT HAVE_SIGHANDLER_T)
  if (HAVE_SIG_T)
    add_definitions(-Dsighandler_t=sig_t)
  else()
    message(FATAL_ERROR "Platform defines neither sig_t nor sighandler_t")
  endif()
endif()

# Handle resolving
check_function_exists(res_ninit HAVE_LIBC_RESOLV)
if(HAVE_LIBC_RESOLV)
    set(RESOLV_LIBRARIES)
else()
    set(RESOLV_LIBRARIES -lresolv)
endif()

# Check multiversioning
include(CheckCxxTarget)
check_cxx_target(HAVE_FMV_SSE42_AND_CRC32 "sse4.2" "__builtin_ia32_crc32si(0, 1llu);")
check_cxx_target(HAVE_FMV_SSE42_AND_CRC32DI "sse4.2" "__builtin_ia32_crc32di(0, 1llu);")

# Configure some variables like package, version and architecture.
set(PACKAGE ${PROJECT_NAME})
set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
set(PACKAGE_VERSION "2.0.6")
string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})

if (NOT DEFINED DPKG_DATADIR)
  execute_process(COMMAND ${PERL_EXECUTABLE} -MDpkg -e "print $Dpkg::DATADIR;"
                  OUTPUT_VARIABLE DPKG_DATADIR_CMD OUTPUT_STRIP_TRAILING_WHITESPACE)
  message(STATUS "Found dpkg data dir: ${DPKG_DATADIR_CMD}")
  set(DPKG_DATADIR "${DPKG_DATADIR_CMD}" CACHE PATH "dpkg data directory")
endif()
if (NOT DEFINED COMMON_ARCH)
  execute_process(COMMAND dpkg-architecture -qDEB_HOST_ARCH
                  OUTPUT_VARIABLE COMMON_ARCH OUTPUT_STRIP_TRAILING_WHITESPACE)
endif()
if (NOT DEFINED ROOT_GROUP)
  execute_process(COMMAND id -gn root
                  OUTPUT_VARIABLE ROOT_GROUP OUTPUT_STRIP_TRAILING_WHITESPACE)
  message(STATUS "Found root group: ${ROOT_GROUP}")
endif()
set(ROOT_GROUP "${ROOT_GROUP}" CACHE STRING "Group of root (e.g.: wheel or root)")

# Set various directories
set(STATE_DIR "${CMAKE_INSTALL_FULL_LOCALSTATEDIR}/lib/apt" CACHE PATH "Your /var/lib/apt")
set(CACHE_DIR "${CMAKE_INSTALL_FULL_LOCALSTATEDIR}/cache/apt" CACHE PATH "Your /var/cache/apt")
set(LOG_DIR "${CMAKE_INSTALL_FULL_LOCALSTATEDIR}/log/apt" CACHE PATH "Your /var/log/apt")
set(CONF_DIR "${CMAKE_INSTALL_FULL_SYSCONFDIR}/apt" CACHE PATH "Your /etc/apt")
set(LIBEXEC_DIR "${CMAKE_INSTALL_FULL_LIBEXECDIR}/apt" CACHE PATH "Your /usr/libexec/apt")
set(BIN_DIR "${CMAKE_INSTALL_FULL_BINDIR}")


# Configure our configuration headers (config.h and apti18n.h)
configure_file(CMake/config.h.in ${PROJECT_BINARY_DIR}/include/config.h)
configure_file(CMake/apti18n.h.in ${PROJECT_BINARY_DIR}/include/apti18n.h)

# Add our subdirectories
add_subdirectory(vendor)
add_subdirectory(apt-pkg)
add_subdirectory(apt-private)
add_subdirectory(cmdline)
add_subdirectory(completions)
add_subdirectory(doc)
add_subdirectory(dselect)
add_subdirectory(ftparchive)
add_subdirectory(methods)
add_subdirectory(test)

if (USE_NLS)
add_subdirectory(po)

# Link update-po4a into the update-po target
add_dependencies(update-po update-po4a)
endif()

# Create our directories.
install_empty_directories(
  ${CONF_DIR}/apt.conf.d
  ${CONF_DIR}/auth.conf.d
  ${CONF_DIR}/preferences.d
  ${CONF_DIR}/sources.list.d
  ${CONF_DIR}/trusted.gpg.d
  ${CACHE_DIR}/archives/partial
  ${STATE_DIR}/lists/partial
  ${STATE_DIR}/mirrors/partial
  ${STATE_DIR}/periodic
  ${LOG_DIR}
)

=== debian/changelog ===
apt (2.0.6+10.0trisquel3) nabia; urgency=medium

  * Ubuntu keyring replaced with Trisquel's

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 01 Aug 2021 21:07:52 +0000

apt (2.0.6) focal; urgency=medium

  * RunScripts: Do not reset SIGQUIT and SIGINT to SIG_DFL (LP: #1898026)
  * test suite fix: Check for and discard expected warning from MaybeAddAuth
  * Fix downloads of unsized files that are largest in pipeline (LP: #1921626),
    and warn about packages without size (option Acquire::AllowUnsizedPackages)
  * JSON hooks 0.2 and assorted JSON bugfixes (LP: #1926150)
    - encoder fixes:
      + json: Escape strings using \u escape sequences, add test
      + json: Actually pop states
      + json: Encode NULL strings as null
    - json: Flush standard file descriptors before calling hooks
      (this avoids output from hooks in middle of apt output)
    - non-code changes:
      + test/json: Make the test hook more reliable
      + Fix a typo in json-hooks-protocol.md (thanks to Brian Murray)
    - semantic changes (new fields, hooks, and protocol 0.2):
      + json: Add origins fields to version
      + upgrade: Add JSON hook support (AptCli::Hooks::Upgrade)
      + json: Add `package-list` and `statistics` install hooks
      + json: Hook protocol 0.2 (added upgrade,downgrade,reinstall modes)
    + Fix a typo in json-hooks-protocol.md (thanks to Brian Murray)
  * Avoid infinite loop on EOF on media change prompt (LP: #1928687)

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 15 Jun 2021 13:05:46 +0200

apt (2.0.5) focal; urgency=medium

  [ Julian Andres Klode ]
  * private-search: Only use V.TranslatedDescription() if good (LP: #1877987)
  * Implement update --error-on=any (Closes: #594813) (LP: #1693900)
  * Include all translations when building the cache (LP: #1907850)
  * Add basic support for the Protected field, and do not require force-loopbreak
    on Protected/Important packages (Closes: #983014) (LP: #1916725)
  * Protect currently running kernel at run-time (LP: #1615381)
  * Make ADDARG{,C}() macros expand to single statements
  * Default Acquire::AllowReleaseInfoChange::Suite to "true" (Closes: #931566)
    (LP: #1918907)

  [ David Kalnischkies ]
  * Fix incorrect base64 encoding due to int promotion (LP: #1916050)
  * Harden test for no new acquires after transaction abort (Closes: #984966)
    (LP: #1918920)

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 12 Mar 2021 12:47:30 +0100

apt (2.0.4) focal; urgency=medium

  [ Julian Andres Klode ]
  * Merge 2.0.2ubuntu0.1 and 2.0.2ubuntu0.2 security updates with 2.0.3
    release.
  * pkgnames: Correctly set the default for AllNames to false, and do not
    exclude virtual packages if --all-names is specified (LP: #1876495)
  * Remove expired domain that became nsfw from debian/changelog
  * patterns: Terminate short pattern by ~ and ! (LP: #1911676)
  * Improve immediate configuration handling (LP: #1871268)
    - Do not immediately configure m-a: same packages in lockstep
    - Ignore failures from immediate configuration. This does not change the
      actual installation ordering - we never passed the return code to the
      caller and installation went underway anyway if it could be ordered at a
      later stage, this just removes spurious after-the-fact errors.

  [ JCGoran ]
  * Fix "extended_states" typo in apt-mark(8) (Closes: #969086)

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 14 Jan 2021 12:49:00 +0100

apt (2.0.3) focal; urgency=medium

  [ Frans Spiesschaert ]
  * Dutch manpages translation update (Closes: #956313)

  [ David Kalnischkies ]
  * Add correct std namespace to nullptr_t

  [ Julian Andres Klode ]
  * Reinstate * wildcards (Closes: #953531) (LP: #1872200)
  * apt list: Fix behavior of regex vs fnmatch vs wildcards
  * debian/gbp.conf: We're in the 2.0.y branch
  * CI: Test on ubuntu:focal, not debian:unstable

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 05 May 2020 13:20:26 +0200

## apt 2.0.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -204,7 +204,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "2.0.6")
+set(PACKAGE_VERSION "2.0.9")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (2.0.9) focal; urgency=medium

  * postinst: Do not run removed kernel postinst.d script (LP: #1974456)

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 24 May 2022 15:08:25 +0200

apt (2.0.8) focal; urgency=medium

  * Adjust conffile removal version in postinst and maintscript; followup
    fix for (LP: #1968154)

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 25 Apr 2022 15:58:46 +0200

apt (2.0.7) focal; urgency=medium

  * Revert "Protect currently running kernel at run-time"
  * Backport Determine autoremovable kernels at run-time (LP: #1615381) as of
    2.4.5; including the change to only protect two kernels, not last installed
    one (LP: #1968154)

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Apr 2022 18:08:00 +0200

## apt 2.0.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -204,7 +204,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "2.0.9")
+set(PACKAGE_VERSION "2.0.10")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (2.0.10) focal; urgency=medium

  * Backport archive snapshot integration as of 2.7.3 (LP: #2038453)

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 06 Oct 2023 11:42:30 +0200

## apt 2.0.10+10.0trisquel4

=== debian/changelog ===
apt (2.0.10+10.0trisquel4) nabia; urgency=medium

  * Ubuntu keyring replaced with Trisquel's

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 15 Nov 2023 09:38:35 +0000

=== debian/control ===
Source: apt
Section: admin
Priority: important
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
XSBC-Original-Maintainer: APT Development Team <deity@lists.debian.org>
Uploaders: Michael Vogt <mvo@debian.org>,
           Julian Andres Klode <jak@debian.org>,
           David Kalnischkies <donkult@debian.org>
Rules-Requires-Root: no
Standards-Version: 4.1.1
Build-Depends: cmake (>= 3.4),
               debhelper-compat (= 12),
               docbook-xml,
               docbook-xsl,
               dpkg-dev (>= 1.17.14),
               gettext (>= 0.12),
               googletest <!nocheck> | libgtest-dev <!nocheck>,
               libbz2-dev,
               libdb-dev,
               libgnutls28-dev (>= 3.4.6),
               libgcrypt20-dev,
               liblz4-dev (>= 0.0~r126),
               liblzma-dev,
               libseccomp-dev (>= 2.4.2) [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x hppa powerpc powerpcspe ppc64 x32],
               libsystemd-dev [linux-any],
               libudev-dev [linux-any],
               libzstd-dev (>= 1.0),
               ninja-build,
               pkg-config,
               po4a (>= 0.34-2),
               triehash,
               xsltproc,
               zlib1g-dev
Build-Depends-Indep: doxygen, graphviz, w3m
Vcs-Git: https://salsa.debian.org/apt-team/apt.git
Vcs-Browser: https://salsa.debian.org/apt-team/apt

Package: apt
Architecture: any
Depends: adduser,
         gpgv | gpgv2 | gpgv1,
         libapt-pkg6.0 (>= ${binary:Version}),
         ${apt:keyring},
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: apt-transport-https (<< 1.5~alpha4~), apt-utils (<< 1.3~exp2~)
Breaks: apt-transport-https (<< 1.5~alpha4~),
        apt-utils (<< 1.3~exp2~),
        aptitude (<< 0.8.10)
Provides: apt-transport-https (= ${binary:Version})
Recommends: ca-certificates
Suggests: apt-doc,
          aptitude | synaptic | wajig,
          dpkg-dev (>= 1.17.2),
          gnupg | gnupg2 | gnupg1,
          powermgmt-base
Description: commandline package manager
 This package provides commandline tools for searching and
 managing as well as querying information about packages
 as a low-level access to all features of the libapt-pkg library.
 .
 These include:
  * apt-get for retrieval of packages and information about them
    from authenticated sources and for installation, upgrade and
    removal of packages together with their dependencies
  * apt-cache for querying available information about installed
    as well as installable packages
  * apt-cdrom to use removable media as a source for packages
  * apt-config as an interface to the configuration settings
  * apt-key as an interface to manage authentication keys

Package: libapt-pkg6.0
Architecture: any
Multi-Arch: same
Priority: optional
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: appstream (<< 0.9.0-3~), apt (<< 1.6~), aptitude (<< 0.8.9), libapt-inst1.5 (<< 0.9.9~)
Recommends: apt (>= ${binary:Version})
Section: libs
Provides: libapt-pkg (= ${binary:Version})
Description: package management runtime library
 This library provides the common functionality for searching and
 managing packages as well as information about packages.
 Higher-level package managers can depend upon this library.
 .
 This includes:
  * retrieval of information about packages from multiple sources
  * retrieval of packages and all dependent packages
    needed to satisfy a request either through an internal
    solver or by interfacing with an external one
  * authenticating the sources and validating the retrieved data
  * installation and removal of packages in the system
  * providing different transports to retrieve data over cdrom, ftp,
    http(s), rsh as well as an interface to add more transports like
    tor+http(s) (apt-transport-tor).

Package: apt-doc
Architecture: all
Priority: optional
Depends: ${misc:Depends}
Section: doc
Description: documentation for APT
 This package contains the user guide and offline guide for various
 APT tools which are provided in a html and a text-only version.

Package: libapt-pkg-dev
Architecture: any
Multi-Arch: same
Priority: optional
Pre-Depends: ${misc:Pre-Depends}
Depends: libapt-pkg (= ${binary:Version}),
         zlib1g-dev,
         ${misc:Depends}
Section: libdevel
Description: development files for APT's libapt-pkg and libapt-inst
 This package contains the header files and libraries for
 developing with APT's libapt-pkg Debian package manipulation
 library and the libapt-inst deb/tar/ar library.

Package: libapt-pkg-doc
Architecture: all
Priority: optional
Depends: ${misc:Depends}
Section: doc
Description: documentation for APT development
 This package contains documentation for development of the APT
 Debian package manipulation program and its libraries.
 .
 This includes the source code documentation generated by doxygen
 in html format.

Package: apt-utils
Architecture: any
Depends: apt (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: package management related utility programs
 This package contains some less used commandline utilities related
 to package management with APT.
 .
  * apt-extracttemplates is used by debconf to prompt for configuration
    questions before installation.
  * apt-ftparchive is used to create Packages and other index files
    needed to publish an archive of Debian packages
  * apt-sortpkgs is a Packages/Sources file normalizer.

Package: apt-transport-https
Architecture: all
Multi-Arch: foreign
Depends: apt (>= 1.5~alpha4), ${misc:Depends}
Priority: optional
Section: oldlibs
Description: transitional package for https support
 This is a dummy transitional package - https support has been moved into
 the apt package in 1.5. It can be safely removed.

## apt 2.0.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -204,7 +204,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "2.0.10")
+set(PACKAGE_VERSION "2.0.11")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== cmdline/CMakeLists.txt ===
# Create the executable tasks
add_executable(apt apt.cc)
add_executable(apt-cache apt-cache.cc)
add_executable(apt-get apt-get.cc)
add_executable(apt-mark apt-mark.cc)
add_executable(apt-config apt-config.cc)
add_executable(apt-cdrom apt-cdrom.cc)
add_executable(apt-helper apt-helper.cc)
add_executable(apt-sortpkgs apt-sortpkgs.cc)
add_executable(apt-extracttemplates apt-extracttemplates.cc)
add_executable(apt-internal-solver apt-internal-solver.cc)
add_executable(apt-dump-solver apt-dump-solver.cc)
add_executable(apt-internal-planner apt-internal-planner.cc)
add_vendor_file(OUTPUT apt-key
                INPUT apt-key.in
                MODE 755
                VARIABLES keyring-filename
                          keyring-removed-filename
                          keyring-master-filename
                          keyring-uri keyring-package)


# Link the executables against the libraries
target_link_libraries(apt apt-pkg apt-private)
target_link_libraries(apt-cache apt-pkg apt-private)
target_link_libraries(apt-get apt-pkg apt-private)
target_link_libraries(apt-config apt-pkg apt-private)
target_link_libraries(apt-cdrom apt-pkg apt-private)
target_link_libraries(apt-helper apt-pkg apt-private)
target_link_libraries(apt-mark apt-pkg apt-private)
target_link_libraries(apt-sortpkgs apt-pkg apt-private)
target_link_libraries(apt-extracttemplates apt-pkg apt-private)
target_link_libraries(apt-internal-solver apt-pkg apt-private)
target_link_libraries(apt-dump-solver apt-pkg apt-private)
target_link_libraries(apt-internal-planner apt-pkg apt-private)

set_target_properties(apt-dump-solver
                      PROPERTIES RUNTIME_OUTPUT_DIRECTORY solvers
                                 RUNTIME_OUTPUT_NAME dump)
set_target_properties(apt-internal-solver
                      PROPERTIES RUNTIME_OUTPUT_DIRECTORY solvers
                                 RUNTIME_OUTPUT_NAME apt)
set_target_properties(apt-internal-planner
                      PROPERTIES RUNTIME_OUTPUT_DIRECTORY planners
                                 RUNTIME_OUTPUT_NAME apt)

# Install the executables
install(TARGETS apt apt-cache apt-get apt-config apt-cdrom apt-mark apt-sortpkgs
                apt-extracttemplates
        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

install(TARGETS apt-helper RUNTIME DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/apt/)
install(TARGETS apt-dump-solver apt-internal-solver RUNTIME DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/apt/solvers)
install(TARGETS apt-internal-planner RUNTIME DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/apt/planners)

add_slaves(${CMAKE_INSTALL_LIBEXECDIR}/apt/planners ../solvers/dump planners/dump)

# Install the not-to-be-compiled programs
INSTALL(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/apt-key DESTINATION ${CMAKE_INSTALL_BINDIR})

=== test/libapt/CMakeLists.txt ===
if (WITH_TESTS)
   set(PROJECT_TEST_LIBRARIES apt-private)
   find_path(GTEST_ROOT src/gtest.cc
      /usr/src/googletest/googletest
      /usr/src/googletest
      /usr/src/gtest
   )
   find_package(GTest)
   set(GTEST_DEPENDENCIES)

   if(NOT GTEST_FOUND AND EXISTS ${GTEST_ROOT})
      include(ExternalProject)
      ExternalProject_Add(gtest PREFIX ./gtest
                                SOURCE_DIR ${GTEST_ROOT}
                                INSTALL_COMMAND true)

      link_directories(${CMAKE_CURRENT_BINARY_DIR}/gtest/src/gtest-build)
      link_directories(${CMAKE_CURRENT_BINARY_DIR}/gtest/src/gtest-build/lib)

      set(GTEST_LIBRARIES "-lgtest")
      set(GTEST_DEPENDENCIES "gtest")
      set(GTEST_FOUND TRUE)
      find_path(GTEST_INCLUDE_DIRS NAMES gtest/gtest.h PATHS ${GTEST_ROOT}/include)

      message(STATUS "Found GTest at ${GTEST_ROOT}, headers at ${GTEST_INCLUDE_DIRS}")
   endif()

   if (NOT GTEST_FOUND)
      message(FATAL_ERROR "Could not find GTest")
   endif()


   # gtest produces some warnings with the set of warnings we activate,
   # so disable the offending warnings while compiling tests for now
   add_optional_compile_options(Wno-undef)
   add_optional_compile_options(Wno-ctor-dtor-privacy)
   # Do not force override for gtest, gtest is missing override specifiers
   add_optional_compile_options(Wno-suggest-override)

   # Definition of the C++ files used to build the test binary - note that this
   # is expanded at CMake time, so you have to rerun cmake if you add or remove
   # a file (you can just run cmake . in the build directory)
   file(GLOB files gtest_runner.cc *-helpers.cc *_test.cc)
   add_executable(lib${PROJECT_NAME}_test ${files})
   target_include_directories(lib${PROJECT_NAME}_test PRIVATE ${GTEST_INCLUDE_DIRS})
   target_link_libraries(lib${PROJECT_NAME}_test ${GTEST_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT} ${PROJECT_TEST_LIBRARIES})
   if (GTEST_DEPENDENCIES)
      add_dependencies(lib${PROJECT_NAME}_test ${GTEST_DEPENDENCIES})
   endif()
   add_test(NAME ${PROJECT_NAME}Tests
            COMMAND lib${PROJECT_NAME}_test
            WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
endif()

=== debian/changelog ===
apt (2.0.11) focal; urgency=medium

  * Fix buffer overflow, stack overflow, exponential complexity in
    apt-ftparchive Contents generation (LP: #2083697)
    - ftparchive: Mystrdup: Add safety check and bump buffer size
    - ftparchive: contents: Avoid exponential complexity and overflows
    - test framework: Improve valgrind support
    - test: Check that apt-ftparchive handles deep paths
    - increase valgrind cleanliness to make the tests pass:
      - pkgcachegen: Use placement new to construct header
      - acquire: Disable gcc optimization of strcmp() reading too far into
        struct dirent's d_name buffer.

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 22 Oct 2024 15:27:19 +0200

=== debian/rules ===
#!/usr/bin/make -f
# Copyright (C) 2009, 2016 Julian Andres Klode <jak@debian.org>
#
# Free Software, licensed under the GPL-2 or (at your option) any later version.
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS := hardening=+all

# do not fail as we are just experimenting with symbol files for now
export DPKG_GENSYMBOLS_CHECK_LEVEL=0

export CTEST_OUTPUT_ON_FAILURE=1


ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	configure_test_flags = -DWITH_TESTS=OFF
else
	configure_test_flags =
endif

%:
	dh $@ --buildsystem=cmake+ninja

override_dh_clean:
	cp COPYING debian/copyright
	dh_clean

override_dh_install-arch:
	dh_install -papt-utils -X/dump
	dh_install -papt -Xmethods/curl -Xmethods/curl+https -Xmethods/curl+http
	dh_install --remaining
	install -m 644 debian/apt.conf.autoremove debian/apt/etc/apt/apt.conf.d/01autoremove

override_dh_gencontrol:
	dh_gencontrol -- -Vapt:keyring="$(shell ./vendor/getinfo keyring-package)"

override_dh_installcron:
	dh_installcron --name=apt-compat

override_dh_installsystemd:
	# Do not restart "apt-daily.service" because this script runs
	# unattended-upgrades. So if apt itself is upgraded as part of
	# an unattended-upgrades run it would kill itself
	dh_installsystemd -papt apt-daily.timer apt-daily-upgrade.timer
	dh_installsystemd -papt --no-restart-on-upgrade --no-restart-after-upgrade --no-start apt-daily.service apt-daily-upgrade.service
	dh_installsystemd --remaining-packages

override_dh_auto_configure-arch: flags=-DWITH_DOC=OFF
override_dh_auto_configure-indep: flags=-DWITH_DOC=ON
override_dh_auto_configure-arch override_dh_auto_configure-indep:
	dh_auto_configure -- $(flags) $(configure_test_flags)

## apt 2.1

=== DESCRIPTION ===
Package: apt
Title: Asymmetric Price Transmission (apt)
Version: 2.1
Date: 2010-11-03 (first); 2014-6-3 (last)
Author: Changyou Sun <csun@cfr.msstate.edu>
Maintainer: Changyou Sun <csun@cfr.msstate.edu>
Depends: R (>= 3.0.0), erer, urca
Imports: car
Description: This package focuses on asymmetric price transmission (APT) between two time series. It contains functions for linear and nonlinear threshold cointegration, and furthermore, symmetric and asymmetric error correction model.
License: GPL
LazyLoad: yes
Packaged: 2014-06-03 15:58:35 UTC; Edwin
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-06-03 18:27:10

## apt 2.1.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -198,13 +198,13 @@
 
 # Check multiversioning
 include(CheckCxxTarget)
-check_cxx_target(HAVE_FMV_SSE42_AND_CRC32 "sse4.2" "__builtin_ia32_crc32si(0, 1llu);")
-check_cxx_target(HAVE_FMV_SSE42_AND_CRC32DI "sse4.2" "__builtin_ia32_crc32di(0, 1llu);")
+check_cxx_target(HAVE_FMV_SSE42_AND_CRC32 "sse4.2" "__builtin_ia32_crc32si(0,i)|__builtin_ia32_crc32hi(0,i)|__builtin_ia32_crc32qi(0,i)")
+check_cxx_target(HAVE_FMV_SSE42_AND_CRC32DI "sse4.2" "__builtin_ia32_crc32di(0,i)")
 
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "2.0.11")
+set(PACKAGE_VERSION "2.1.10")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== methods/CMakeLists.txt ===
# Create the executable targets
include_directories($<$<BOOL:${SECCOMP_FOUND}>:${SECCOMP_INCLUDE_DIR}>)
link_libraries(apt-pkg $<$<BOOL:${SECCOMP_FOUND}>:${SECCOMP_LIBRARIES}>)

add_library(connectlib OBJECT connect.cc rfc2553emu.cc)

add_executable(file file.cc)
add_executable(copy copy.cc)
add_executable(store store.cc)
add_executable(gpgv gpgv.cc)
add_executable(cdrom cdrom.cc)
add_executable(http http.cc basehttp.cc $<TARGET_OBJECTS:connectlib>)
add_executable(mirror mirror.cc)
add_executable(ftp ftp.cc $<TARGET_OBJECTS:connectlib>)
add_executable(rred rred.cc)
add_executable(rsh rsh.cc)

target_compile_definitions(connectlib PRIVATE ${GNUTLS_DEFINITIONS})
target_include_directories(connectlib PRIVATE ${GNUTLS_INCLUDE_DIR})
target_include_directories(http PRIVATE $<$<BOOL:${SYSTEMD_FOUND}>:${SYSTEMD_INCLUDE_DIRS}>)

# Additional libraries to link against for networked stuff
target_link_libraries(http ${GNUTLS_LIBRARIES} $<$<BOOL:${SYSTEMD_FOUND}>:${SYSTEMD_LIBRARIES}>)
target_link_libraries(ftp ${GNUTLS_LIBRARIES})

# Install the library
install(TARGETS file copy store gpgv cdrom http ftp rred rsh mirror
        RUNTIME DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/apt/methods)

add_links(${CMAKE_INSTALL_LIBEXECDIR}/apt/methods mirror mirror+ftp mirror+http mirror+https mirror+file mirror+copy)
add_links(${CMAKE_INSTALL_LIBEXECDIR}/apt/methods rsh ssh)


add_links(${CMAKE_INSTALL_LIBEXECDIR}/apt/methods http https)

=== debian/changelog ===
apt (2.1.10) unstable; urgency=medium

  * Default Acquire::AllowReleaseInfoChange::Suite to "true" (Closes: #931566)
  * acquire: Do not hide _error messages in Fail()
  * Further improvements to HTTP method (Closes: #968220, verified against
    that server and the Canonical infra where it blocked buildds)
    - Do not use non-blocking local I/O - they don't do anything anyway,
      and we can't really use non-blocking I/O here because we need to be able
      to flush it.
    - Restore successful exits from Die() and rewrite Die() in a more
      comprehensible way, after careful code path analysis
    - http: Fully flush local file both before/after server read, avoiding
      both partial flush before sending requests to the server, as well as
      preventing leftover data before receiving from the server, which cause
      data left in the buffer.

 -- Julian Andres Klode <jak@debian.org>  Tue, 11 Aug 2020 14:28:07 +0200

apt (2.1.9) unstable; urgency=medium

  [ Julian Andres Klode ]
  * http: Fix infinite loop on read errors
  * basehttp: Correctly handle non-transient failure from RunData()
  * Do not retry on failure to fetch (Closes: #968163)

  [ Aleix Vidal i Gaya ]
  * updated catalan translations

 -- Julian Andres Klode <jak@debian.org>  Mon, 10 Aug 2020 14:16:23 +0200

apt (2.1.8) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Fully deprecate apt-key, schedule removal for Q2/2022
  * apt-key: Allow depending on gpg instead of gnupg
  * Removal of racist terminology, except for two cases that still need consensus
  * Various fixes to http code:
    - http: Always Close() the connection in Die()
    - http: Die(): Merge flushing code from Flush()
    - http: Only return false for EOF if we actually did not read anything
    - http: Die(): Do not flush the buffer, error out instead
    - http: Finish copying data from server to file before sending stuff to server
    - http: On select timeout, error out directly, do not call Die()
    - http: Redesign reading of pending data
    - http: Always write to the file if there's something to write; this fixes
      a regression from removing the buffer flushing code
    Overall, there's hope this Closes: #959518. It reproduced a bit, but eventually
    snapshot.d.o ratelimiting kicked in and broke the test case.

  [ Nicolas Schier ]
  * Support marking all newly installed packages as automatically installed

 -- Julian Andres Klode <jak@debian.org>  Tue, 04 Aug 2020 12:41:28 +0200

apt (2.1.7) unstable; urgency=medium

  [ David Kalnischkies ]
  * Do not hardcode (wrong) group and mode in setup warning (Closes: #962310)
  * Do not sent our filename-provides trick to EDSP solvers (Closes: #962741)
  * Tell EDSP solvers about all installed pkgs ignoring arch
  * Deduplicate EDSP Provides line of M-A:foreign packages
  * Delay removals due to Conflicts until Depends are resolved
  * Filter out impossible solutions for protected propagation
  * Add dependency points in the resolver also to providers
  * Reorder config check before checking systemd for non-interactive http
  * Reorder config check before result looping for SRV parsing debug
  * Fix test due to display change in ls (coreutils 8.32)
  * Detect pkg-config-dpkghook failure in tests to avoid fallback (Closes: #964475)

  [ Américo Monteiro ]
  * Portuguese manpages translation update (Closes: #962483)

  [ Julian Andres Klode ]
  * Replace some magic 64*1024 with APT_BUFFER_SIZE
  * Add basic support for the Protected field

  [ Sergio Oller Moreno ]
  * Minor Catalan grammar typo

  [ Frans Spiesschaert ]
  * Dutch program translation update (Closes: #963008)

 -- Julian Andres Klode <jak@debian.org>  Wed, 08 Jul 2020 09:38:35 +0200

apt (2.1.6) unstable; urgency=medium

  [ David Kalnischkies ]
  * Fix small memory leak in MethodConfig
  * Consider protected packages for removal if they are marked as such
  * Consider if a fix is successful before claiming it is
  * Allow 20 instead of 10 loops for pkgProblemResolver
  * Deal with duplicates in the solution space of a dep

 -- Julian Andres Klode <jak@debian.org>  Wed, 03 Jun 2020 18:25:22 +0200

apt (2.1.5) unstable; urgency=medium

  [ David Kalnischkies ]
  * Reset candidate version explicitly for internal state-keeping
    (Closes: #961266)
  * Known-bad candidate versions are not an upgrade option
  * Keep status number if candidate is discarded for kept back display
  * Allow pkgDepCache to be asked to check internal consistency
  * Don't update candidate provides map if the same as current
  * Ensure EDSP doesn't use a dangling architecture string
  * Allow FMV SSE4.2 detection to succeed on clang
  * Mark PatternTreeParser::Node destructor as virtual

  [ Frans Spiesschaert ]
  * Dutch manpages translation update (Closes: #961431)

 -- Julian Andres Klode <jak@debian.org>  Tue, 26 May 2020 12:19:40 +0200

apt (2.1.4) unstable; urgency=medium

  [ David Kalnischkies ]
  * Check satisfiability for versioned provides, not providing version

 -- Julian Andres Klode <jak@debian.org>  Tue, 19 May 2020 11:28:59 +0200

apt (2.1.3) unstable; urgency=medium

  [ David Kalnischkies ]
  * Prefer use of O_TMPFILE in GetTempFile if available
  * Allow prefix to be a complete filename for GetTempFile
  * Properly handle interrupted write() call in ExtractTar
  * Skip reading data from tar members if nobody will look at it
  * Keep going if a dep is bad for user requests to improve errors
  * Support negative dependencies in VCI::FromDependency
  * Deal with protected solution providers first
  * Propagate protected to already satisfied conflicts (Closes: #960705)
  * Propagate protected to already satisfied dependencies
  * Recognize propagated protected in pkgProblemResolver

  [ Julian Andres Klode ]
  * private-search: Only use V.TranslatedDescription() if good (LP: #1877987)

 -- Julian Andres Klode <jak@debian.org>  Mon, 18 May 2020 22:23:27 +0200

apt (2.1.2) unstable; urgency=critical



## apt 2.1.10ubuntu0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -204,7 +204,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "2.1.10")
+set(PACKAGE_VERSION "2.1.10ubuntu0.1")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (2.1.10ubuntu0.1) groovy-security; urgency=high

  * SECURITY UPDATE: Integer overflow in parsing (LP: #1899193)
    - apt-pkg/contrib/arfile.cc: add extra checks.
    - apt-pkg/contrib/tarfile.cc: limit tar item sizes to 128 GiB
    - apt-pkg/deb/debfile.cc: limit control file sizes to 64 MiB
    - test/*: add tests.
    - CVE-2020-27350
  * Additional hardening:
    - apt-pkg/contrib/tarfile.cc: Limit size of long names and links to 1 MiB
  * .gitlab-ci.yml: Test on groovy, not unstable

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 07 Dec 2020 12:02:40 +0100

## apt 2.1.10ubuntu0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -204,7 +204,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "2.1.10ubuntu0.1")
+set(PACKAGE_VERSION "2.1.10ubuntu0.3")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (2.1.10ubuntu0.3) groovy; urgency=medium

  [ David Kalnischkies ]
  * Fix incorrect base64 encoding due to int promotion (LP: #1916050)
  * Harden test for no new acquires after transaction abort (Closes: #984966)
    (LP: #1918920)

  [ Julian Andres Klode ]
  * Implement update --error-on=any (Closes: #594813) (LP: #1693900)
  * Include all translations when building the cache (LP: #1907850)
  * Do not require force-loopbreak on Protected packages (Closes: #983014)
    (LP: #1916725)
  * RunScripts: Do not reset SIGQUIT and SIGINT to SIG_DFL (LP: #1898026)
  * Protect currently running kernel at run-time (LP: #1615381)
  * Make ADDARG{,C}() macros expand to single statements

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 12 Mar 2021 09:22:11 +0100

apt (2.1.10ubuntu0.2) groovy; urgency=medium

  [ JCGoran ]
  * Fix "extended_states" typo in apt-mark(8) (Closes: #969086)

  [ Jordi Mallach ]
  * Fix typo in Catalan translation.

  [ Julian Andres Klode ]
  * doc: Bump Ubuntu release from focal to groovy
  * pkgnames: Correctly set the default for AllNames to false, and do not
    exclude virtual packages if --all-names is specified (LP: #1876495)
  * Remove expired domain that became nsfw from debian/changelog
  * patterns: Terminate short pattern by ~ and ! (LP: #1911676)
  * Improve immediate configuration handling (LP: #1871268)
    - Do not immediately configure m-a: same packages in lockstep
    - Ignore failures from immediate configuration. This does not change the
      actual installation ordering - we never passed the return code to the
      caller and installation went underway anyway if it could be ordered at a
      later stage, this just removes spurious after-the-fact errors.

  [ Frans Spiesschaert ]
  * Dutch manpages translation update (Closes: #970037)

  [ Américo Monteiro ]
  * Portuguese manpages translation update (Closes: #968414)

  [ Helge Kreutzmann ]
  * German program translation update (Closes: #977938)

  [ Vangelis Skarmoutsos ]
  * Greek program translation update

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 14 Jan 2021 12:29:25 +0100

## apt 2.1.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -204,7 +204,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "2.1.10ubuntu0.3")
+set(PACKAGE_VERSION "2.1.11")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (2.1.11) unstable; urgency=medium

  [ JCGoran ]
  * Fix "extended_states" typo in apt-mark(8) (Closes: #969086)

  [ Julian Andres Klode ]
  * doc: Bump Ubuntu release from focal to groovy
  * Do not produce late error if immediate configuration fails, just warn
    (Closes: #953260, #972552) (LP: #1871268)

  [ Frans Spiesschaert ]
  * Dutch manpages translation update (Closes: #970037)

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 21 Oct 2020 11:53:18 +0200

## apt 2.1.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -80,8 +80,8 @@
 add_optional_compile_options(Werror=suggest-override)
 add_optional_compile_options(Werror=return-type)
 # apt-ftparchive dependencies
-find_package(BerkeleyDB REQUIRED)
-if (BERKELEY_DB_FOUND)
+find_package(Berkeley REQUIRED)
+if (BERKELEY_FOUND)
   set(HAVE_BDB 1)
 endif()
 
@@ -113,7 +113,7 @@
   set(HAVE_LZ4 1)
 endif()
 
-find_package(Zstd)
+find_package(ZSTD)
 if (ZSTD_FOUND)
   set(HAVE_ZSTD 1)
 endif()
@@ -129,12 +129,12 @@
   set(HAVE_SYSTEMD 1)
 endif()
 
-find_package(Seccomp)
+find_package(SECCOMP)
 if (SECCOMP_FOUND)
   set(HAVE_SECCOMP 1)
 endif()
 
-find_package(Gcrypt REQUIRED)
+find_package(GCRYPT REQUIRED)
 
 # Mount()ing and stat()ing and friends
 check_symbol_exists(statfs sys/vfs.h HAVE_VFS_H)
@@ -204,7 +204,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "2.1.11")
+set(PACKAGE_VERSION "2.1.12")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (2.1.12) unstable; urgency=medium

  [ Julian Andres Klode ]
  * pkgnames: Correctly set the default for AllNames to false (LP: #1876495)
  * pkgnames: Do not exclude virtual packages with --all-names
  * Remove expired domain that became nsfw from debian/changelog
  * Do not immediately configure m-a: same packages in lockstep (LP: #1871268)

  [ Américo Monteiro ]
  * Portuguese manpages translation update (Closes: #968414)

  [ David Kalnischkies ]
  * Rename CMake find_package helpers to avoid developer warnings
  * Install translated apt-patterns(7) man pages
  * Remove ancient versions support from apts postinst
  * Update libapt-pkg6.0 symbols file
  * Refresh lintian-overrides of apt and libapt-pkg-doc

 -- Julian Andres Klode <jak@debian.org>  Mon, 23 Nov 2020 17:52:37 +0100

## apt 2.1.12+deb11u1

=== CMakeLists.txt ===
--- 
+++ 
@@ -204,7 +204,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "2.1.12")
+set(PACKAGE_VERSION "2.1.12+deb11u1")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (2.1.12+deb11u1) bullseye; urgency=medium

  [ Julian Andres Klode ]
  * patterns: Terminate short pattern by ~ and ! - this makes patterns
    like ~n^apt!~nfoo$ or ~nfoo~nbar work correctly instead of treating
    !~nfoo$ or ~nbar as part of the regular expression.
  * SECURITY UPDATE: Integer overflow in parsing (LP: #1899193)
    - apt-pkg/contrib/arfile.cc: add extra checks.
    - apt-pkg/contrib/tarfile.cc: limit tar item sizes to 128 GiB
    - apt-pkg/deb/debfile.cc: limit control file sizes to 64 MiB
    - test/*: add tests.
    - CVE-2020-27350
  * Additional hardening:
    - apt-pkg/contrib/tarfile.cc: Limit size of long names and links to 1 MiB
  * .gitlab-ci.yml: Build on bullseye, not unstable

  [ Jordi Mallach ]
  * Fix typo in Catalan translation.

  [ Helge Kreutzmann ]
  * German program translation update (Closes: #977938)

 -- Julian Andres Klode <jak@debian.org>  Sun, 27 Dec 2020 11:51:58 +0100

## apt 2.1.15

=== CMakeLists.txt ===
--- 
+++ 
@@ -135,6 +135,7 @@
 endif()
 
 find_package(GCRYPT REQUIRED)
+find_package(XXHASH REQUIRED)
 
 # Mount()ing and stat()ing and friends
 check_symbol_exists(statfs sys/vfs.h HAVE_VFS_H)
@@ -204,7 +205,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "2.1.12+deb11u1")
+set(PACKAGE_VERSION "2.1.15")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (2.1.15) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Unroll pkgCache::sHash 8 time, break up dependency
  * Do not require libxxhash-dev for including pkgcachegen.h (Closes: #978171)

  [ David Kalnischkies ]
  * Proper URI encoding for config requests to our test webserver
  * Keep URIs encoded in the acquire system
  * Implement encoded URI handling in all methods
  * Don't re-encode encoded URIs in pkgAcqFile

  [ Helge Kreutzmann ]
  * German program translation update (Closes: #977938)

 -- Julian Andres Klode <jak@debian.org>  Sun, 27 Dec 2020 09:53:07 +0100

apt (2.1.14) unstable; urgency=medium

  * test: fixup for hash table size increase (changed output order)
  * Use XXH3 for cache, hash table hashing

 -- Julian Andres Klode <jak@debian.org>  Tue, 15 Dec 2020 14:07:36 +0100

apt (2.1.13) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + apt-doc, libapt-pkg-doc: Add Multi-Arch: foreign.

  [ Jordi Mallach ]
  * Fix typo in Catalan translation.

  [ David Kalnischkies ]
  * Prepare rred binary for external usage
  * Support reading compressed patches in rred direct call modes
  * Support compressed output from rred similar to apt-helper cat-file

  [ Julian Andres Klode ]
  * gitignore: Add /build and /obj-* build dirs
  * gitignore: Add .*.swp files
  * HexDigest: Silence -Wstringop-overflow
  * patterns: Terminate short pattern by ~ and !
  * SECURITY UPDATE: Integer overflow in parsing (LP: #1899193)
    - apt-pkg/contrib/arfile.cc: add extra checks.
    - apt-pkg/contrib/tarfile.cc: limit tar item sizes to 128 GiB
    - apt-pkg/deb/debfile.cc: limit control file sizes to 64 MiB
    - test/*: add tests.
    - CVE-2020-27350
  * Additional hardening:
    - apt-pkg/contrib/tarfile.cc: Limit size of long names and links to 1 MiB
  * Raise APT::Cache-HashtableSize to 196613

 -- Julian Andres Klode <jak@debian.org>  Thu, 10 Dec 2020 15:40:27 +0100
